const express = require('express');
const fs = require('fs');
const ini = require('ini');
const app = express();
const port = 3000;

app.use(express.static('public'));

app.get('/data', (req, res) => {
    //get data from settings.ini file
    fs.readFile('./settings.ini', 'utf8', (err, data) => {
        if (err) {
            console.error('Error reading header.ini file:', err);
            res.status(500).send('Internal Server Error');
            return;
        }
        const config = ini.parse(data);
        res.json({
            //titles
            page_title: config.titles.page,
            tab_title: config.titles.tab,
            //page
            page_background: config.page_style.background,
            page_background_img: config.page_style.background_image,
            //card
            card_blur: config.card_style.blur,
            card_brightness: config.card_style.brightness,
            card_saturation: config.card_style.saturation,
            card_background: config.card_style.background,
            card_border_radius: config.card_style.corner_size,
            //shadow
            shadow_color: config.shadow.color,
            shadow_offset_x: config.shadow.offset_x,
            shadow_offset_y: config.shadow.offset_y,
            shadow_blur: config.shadow.blur,
            shadow_spread: config.shadow.spread,
        });
    });
});

// Start the server
app.listen(port, () => {
    console.log(`Server is running at http://localhost:${port}`);
});